package com.tzld.piaoquan.growth.common.dao.mapper.ext;

import com.tzld.piaoquan.growth.common.model.bo.WeComUserBo;
import com.tzld.piaoquan.growth.common.model.po.WeComUser;
import com.tzld.piaoquan.growth.common.model.po.WeComUserExample;
import com.tzld.piaoquan.growth.common.model.vo.WeComUserVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Mapper
@Repository
public interface WeComUserMapperExt {

    Integer countGroupSendUserByDate(@Param("start") Date start,
                                             @Param("end") Date end,
                                             @Param("preSendDate") String preSendDate,
                                             @Param("carrierIds") List<String> carrierIds);

    List<WeComUserBo> getGroupSendUserByDate(@Param("start") Date start,
                                             @Param("end") Date end,
                                             @Param("preSendDate") String preSendDate,
                                             @Param("carrierIds") List<String> carrierIds,
                                             @Param("offset") Integer offset,
                                             @Param("pageSize") Integer pageSize);

}