package com.tzld.piaoquan.api;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.annotation.ComponentScan;
import springfox.documentation.swagger2.annotations.EnableSwagger2;


@SpringBootApplication
@ComponentScan({
        "com.tzld.piaoquan.growth.common.*",
        "com.tzld.piaoquan.offline.*",
        "com.tzld.piaoquan.api.*"
})
@EnableSwagger2
@ServletComponentScan("com.tzld.piaoquan.api.filter")
public class GrowthServerApplication {
    public static void main(String[] args) {
        SpringApplication.run(GrowthServerApplication.class, args);
    }
}