package com.tzld.piaoquan.api.model.param.contentplatform;

import com.tzld.piaoquan.api.model.param.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GzhPlanListParam extends PageParam {

    @ApiModelProperty(value = "公众号id")
    private Long accountId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "发布计划类型 0-自动回复、1-服务号推送")
    private Integer type;

    @ApiModelProperty(value = "发布方：0-平台发布 1-用户发布")
    private Integer publishStage;

    @ApiModelProperty(value = "视频选取方式 0-手动选取 1-自动选取")
    private Integer selectVideoType;

    @ApiModelProperty(value = "创建时间开始")
    private Long createTimestampStart;

    @ApiModelProperty(value = "创建时间截止")
    private Long createTimestampEnd;

}
