package com.tzld.piaoquan.api.model.param.contentplatform;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class GzhPlanSaveParam {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "公众号id")
    private Long accountId;

    @ApiModelProperty(value = "发布计划类型 0-自动回复、1-服务号推送")
    private Integer type;

    @ApiModelProperty(value = "发布场景 0-关注回复")
    private Integer scene;

    @ApiModelProperty(value = "发布方：0-平台发布 1-用户发布")
    private Integer publishStage;

    @ApiModelProperty(value = "视频选取方式 0-手动选取 1-自动选取")
    private Integer selectVideoType;

    @ApiModelProperty(value = "视频列表")
    private List<GzhPlanVideoContentItemParam> videoList;
}
