package com.tzld.piaoquan.api.model.param.contentplatform.api;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class GetVideoPageUrlParam {

    @ApiModelProperty(value = "待嵌入视频列表")
    private List<PlanItem> planList;

    @Data
    public static class PlanItem {
        @ApiModelProperty(value = "id")
        private String id;
        @ApiModelProperty(value = "嵌入场景 0-自动回复 1-服务号定期推送")
        private Integer type;
        @ApiModelProperty(value = "公众号ghId")
        private String ghId;
        @ApiModelProperty(value = "videoIds")
        private List<Long> videoIds;
    }
}
