package com.tzld.piaoquan.api.model.vo.contentplatform;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ColumnWidth(20)//宽
@HeadRowHeight(50)//表头高
@ContentRowHeight(25)//正文行高
public class QwDatastatItemExportVO {

    @ExcelProperty("日期")
    private String dateStr;

    @ExcelProperty("传播得分")
    private Double score;

    @ExcelProperty("视频标题")
    private String title;

    @ExcelProperty("视频id")
    private Long videoId;
}
