package com.tzld.piaoquan.api.model.vo.contentplatform.api;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class VideoPageUrlVO {

    @ApiModelProperty(value = "id")
    private String id;

    private int code = 0;
    private String msg = "success";
    private List<VideoPageUrlItem> data;

    @Data
    public static class VideoPageUrlItem {

        @ApiModelProperty(value = "videoId")
        private Long videoId;
        @ApiModelProperty(value = "标题")
        private String title;
        @ApiModelProperty(value = "封面")
        private String cover;
        @ApiModelProperty(value = "嵌入小程序页面路径")
        private String pageUrl;
    }
}
