package com.tzld.piaoquan.api.service;


import com.tzld.piaoquan.api.model.vo.GhDetailVo;
import com.tzld.piaoquan.growth.common.common.base.CommonResponse;
import com.tzld.piaoquan.growth.common.model.po.GhDetail;
import com.tzld.piaoquan.growth.common.utils.page.Page;

import java.util.List;

public interface GhDetailService {

    CommonResponse<Page<GhDetailVo>> getGhDetailList(Integer pageNum, Integer pageSize, String accountId, String accountName);

    CommonResponse<Void> addGhDetail(GhDetailVo ghDetailVo);

    CommonResponse<Void> updateDetail(GhDetailVo ghDetailVo);

    CommonResponse<Void> deleteDetail(Long id);

    GhDetail getGhDetailByGhIdType(String ghId, Integer type);

    List<GhDetail> getByChannel(String channel);
}
