package com.tzld.piaoquan.api.service.contentplatform;

import com.tzld.piaoquan.api.model.param.contentplatform.api.GetContentPageParam;
import com.tzld.piaoquan.api.model.param.contentplatform.api.GetTokenParam;
import com.tzld.piaoquan.api.model.param.contentplatform.api.GetVideoPageUrlParam;
import com.tzld.piaoquan.api.model.vo.contentplatform.api.VideoIdTitleVO;
import com.tzld.piaoquan.api.model.vo.contentplatform.api.VideoPageUrlVO;
import com.tzld.piaoquan.growth.common.utils.page.Page;

import java.util.List;

public interface ContentPlatformApiService {

    String getToken(GetTokenParam param);

    Page<VideoIdTitleVO> getContent(String token, GetContentPageParam param);

    List<VideoPageUrlVO> getVideoPageUrl(String token, GetVideoPageUrlParam param);
}
