package com.tzld.piaoquan.growth.common.utils;

import org.springframework.web.multipart.MultipartFile;

public class FileUtils {

    public static String getExtension(MultipartFile file) {
        if (file == null || file.getOriginalFilename() == null) {
            return "";
        }

        String fileName = file.getOriginalFilename();
        int lastIndex = fileName.lastIndexOf('.');

        // 处理无扩展名或隐藏文件的情况
        if (lastIndex == -1 || lastIndex == 0) {
            return "";
        }

        return fileName.substring(lastIndex).toLowerCase();
    }
}
